{% extends 'utils/_table_layout.html' %}

{% block content_title %}History list{% endblock %}

{% set header_columns = ['Model', 'History', 'Created at'] %}
{% set data_items = history %}

{% block table_colgroup %}
    <col span="1" style="width: 20%">
    <col span="1" style="width: 50%">
    <col span="1" style="width: 20%">
{% endblock %}

{% block before_table %}
    <div class="columns">
        <div class="column text-right">
            <a href="{{ url('index') }}" id="go-back" class="button">
                <div class="flex is-align-items-center is-justify-content-center">
                    <i class="fa-solid fa-arrow-left"></i>
                    Back
                </div>
            </a>
        </div>
    </div>
{% endblock %}

{% block table_tbody %}
    {% for data in data_items %}
        <tr>
            <td class="td-centered">
                {{ data|type|replace("History", "") }}
            </td>
            <td>
                <div class="columns is-multiline mt-1 mb-1">
                    {% for key in data.__dict__ %}
                        {% if key != '_state' and key != 'created_at' %}
                            <div class="column is-3 pt-0 pb-0 mt-0 mb-0">
                                {{ key }}
                            </div>
                            <div class="column is-9 pt-0 pb-0 mt-0 mb-0 word-wrap">
                                {% set type = data[key]|type() %}
                                {% if type == 'str' %}
                                    {{ data[key]|truncate(50) }}
                                {% elif type == 'NoneType' %}
                                    &nbsp;
                                {% else %}
                                    {{ data[key] }}
                                {% endif %}
                            </div>
                        {% endif %}
                    {% endfor %}
                </div>
            </td>
            <td class="td-centered">
                {% set date = data['created_at']|date('d/m/Y') %}
                {% set time = data['created_at']|date('h:i') %}
                Le {{ date }} à {{ time }}
            </td>
        </tr>
    {% endfor %}
{% endblock %}
